summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorMartin Prochnow <nordlicht@martins-kabuff.de>2006-04-17 17:00:18 +0200
committerAndreas Mair <andreas@vdr-developer.org>2006-04-17 17:00:18 +0200
commit3c04e4ce347dff915def3a79f348f2f46e60564d (patch)
tree51defa818f251ce9d70472ad202b85165c6837fc /scripts
parent82bfd4c15949019ede37b2b04be79659c5c65dbe (diff)
downloadvdr-plugin-extrecmenu-3c04e4ce347dff915def3a79f348f2f46e60564d.tar.gz
vdr-plugin-extrecmenu-3c04e4ce347dff915def3a79f348f2f46e60564d.tar.bz2
Version 0.9av0.9a
- fixed #ifdef's for JumpPlay-patch in myreplaycontrol.c; thanks to Thomas Günther for reporting - include fixed 'dvdarchive.sh', umount wasn't possible; thanks to Mase from vdr-portal.de for reporting - added support for CmdSubMenu-patch, it should now be possible to use sub menus if you patched your VDR with BigPatch or CmdSubMenu-patch
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/dvdarchive.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/scripts/dvdarchive.sh b/scripts/dvdarchive.sh
index 7f5b72b..f7bf066 100755
--- a/scripts/dvdarchive.sh
+++ b/scripts/dvdarchive.sh
@@ -1,6 +1,6 @@
#!/bin/bash
#
-# Version 1.4 2006-04-07
+# Version 1.5 2006-04-17
#
# Exitcodes:
#
@@ -38,11 +38,15 @@ REC="$2"
NAME="$3"
call() {
- echo -e "\nScript $0 needs three parameters. Action, rec and name. Action is mount or umount"
+ echo -e "\nScript $0 needs three parameters for mount and two for umount. The first must be mount or umount, the second is the full path.\n"
+ echo -e "Only for mounting the script needs a third parameter, the last part of the recording path.\n"
echo -e "Example: dvdarchive.sh mount '/video1.0/Music/%Riverdance/2004-06-06.00:10.50.99.rec' '2004-06-06.00:10.50.99.rec'\n"
+ echo -e "Example: dvdarchive.sh umount '/video1.0/Music/%Riverdance/2004-06-06.00:10.50.99.rec'\n"
}
-[ $# -ne 3 ] && { call; exit 10; }
+[ "$1" = "mount" -o "$1" = "umount" ] || { call; exit 10; }
+[ -z "$2" ] && { call; exit 10; }
+[ "$1" = mount -a -z "$3" ] && { call; exit 10; }
case "$1" in
mount)